Summary:	The GNU patch command, for modifying/upgrading files
Name:		patch
Version:	2.7.6
Release:	%mkrel 9
License:	GPLv3
Group:		Text tools
URL:		https://www.gnu.org/software/patch/
Source0:	https://ftp.gnu.org/gnu/patch/%{name}-%{version}.tar.xz
Patch1:		patch-2.7-sigsegv.patch
Patch3:		patch-2.6-stderr.patch
Patch6:		patch-2.6-fix-str-fmt.patch
# debian patches:
Patch103:	lenny-options.diff
# CVE-2018-1000156
Patch200:	patch-CVE-2018-1000156.patch
Patch201:	CVE-2018-6951.patch
Patch202:	CVE-2018-6952.patch
Patch203:	patch-2.7-CVE-2019-13636.patch
Patch204:	patch-2.7-CVE-2019-13638.patch

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.

%prep
%setup -q

%patch -P 1 -p1 -b .sigsegv
%patch -P 3 -p1 -b .stderr
%patch -P 6 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch -P 103 -p1 -b .compat-options
%patch -P 200 -p1 -b .p200
%patch -P 201 -p1 -b .p201
%patch -P 202 -p1 -b .p202
%patch -P 203 -p1 -b .CVE-2019-13636
%patch -P 204 -p1 -b .CVE-2019-13638

%build
%configure
%make_build

%install
%make_install

%files
%defattr(644,root,root,755)
%doc NEWS README AUTHORS ChangeLog
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/*/*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 2.7.6-9.mga10
+ Revision: 2128011
- Rebuild for patchN deprecation

* Sat Apr 06 2024 wally <wally> 2.7.6-8.mga10
+ Revision: 2055197
- basesystem rebuild for i686

* Tue Mar 15 2022 umeabot <umeabot> 2.7.6-7.mga9
+ Revision: 1792659
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 mrambo3501 <mrambo3501> 2.7.6-6.mga8
+ Revision: 1536907
- add upstream patches which fix CVE-2019-1363[6,8] and CVE-2018-20969 (mga#25279)

* Fri Feb 14 2020 umeabot <umeabot> 2.7.6-5.mga8
+ Revision: 1520235
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Nov 10 2018 bcornec <bcornec> 2.7.6-4.mga7
+ Revision: 1329254
- Patches for CVE-2018-6951 and CVE-2018-6952
- Fix CVE-2018-6951 and CVE-2018-6952 with upstream patches

* Sun Sep 23 2018 umeabot <umeabot> 2.7.6-3.mga7
+ Revision: 1300119
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 tmb <tmb> 2.7.6-2.mga7
+ Revision: 1235199
- Fix arbitrary command execution in ed-style patches (CVE-2018-1000156, mga#22587)

* Thu Apr 05 2018 kekepower <kekepower> 2.7.6-1.mga7
+ Revision: 1215375
- Update to version 2.7.6
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 2.7.5-2.mga6
+ Revision: 956629
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 luigiwalser <luigiwalser> 2.7.5-1.mga6
+ Revision: 855977
- 2.7.5 (fixes savannah#44251, failing to fllow symlink directories)

* Thu Feb 05 2015 luigiwalser <luigiwalser> 2.7.4-1.mga5
+ Revision: 813565
- 2.7.4 (fixes CVE-2015-1396)

* Tue Jan 27 2015 luigiwalser <luigiwalser> 2.7.3-1.mga5
+ Revision: 812459
- 2.7.3 (fixes CVE-2014-9637, CVE-2015-1196, and CVE-2015-1395)

* Wed Oct 15 2014 umeabot <umeabot> 2.7.1-5.mga5
+ Revision: 746160
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.1-4.mga5
+ Revision: 683351
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.7.1-3.mga4
+ Revision: 508900
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.7.1-2.mga3
+ Revision: 362449
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 luigiwalser <luigiwalser> 2.7.1-1.mga3
+ Revision: 300187
- 2.7.1

* Sat Sep 15 2012 luigiwalser <luigiwalser> 2.7-1.mga3
+ Revision: 294251
- 2.7
- rediff patches 1 and 103
- remove patch 8 (fixed upstream)

* Thu Aug 16 2012 luigiwalser <luigiwalser> 2.6.1-5.mga3
+ Revision: 281693
- add patch from fedora to fix CVE-2010-4651 (rhbz #667529)

* Sat Jan 08 2011 blino <blino> 2.6.1-4.mga1
+ Revision: 613
- imported package patch

